<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>NodeHandler (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="NodeHandler (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/NodeHandler.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandlerDecorator.html" title="class in org.apache.commons.configuration2.tree"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/tree/NodeHandler.html" target="_top">Frames</a></li>
<li><a href="NodeHandler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.tree</div>
<h2 title="Interface NodeHandler" class="title">Interface NodeHandler&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>T</code> - the type of the nodes this handler deals with</dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/tree/ReferenceNodeHandler.html" title="interface in org.apache.commons.configuration2.tree">ReferenceNodeHandler</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandlerDecorator.html" title="class in org.apache.commons.configuration2.tree">NodeHandlerDecorator</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">NodeHandler&lt;T&gt;</span></pre>
<div class="block"><p>
 Definition of an interface for accessing the data of a configuration node.
 </p>
 <p>
 Hierarchical configurations can deal with arbitrary node structures. In order
 to obtain information about a specific node object, a so-called
 <code>NodeHandler</code> is used. The handler provides a number of methods for
 querying the internal state of a node in a read-only way.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: NodeHandler.java 1636033 2014-11-01 20:47:47Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html#getAttributes-T-">getAttributes</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node)</code>
<div class="block">Returns an unmodifiable set with the names of all attributes of the
 specified node.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html#getAttributeValue-T-java.lang.String-">getAttributeValue</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node,
                 <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns the value of the specified attribute from the given node.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html#getChild-T-int-">getChild</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node,
        int&nbsp;index)</code>
<div class="block">Returns the child with the given index of the specified node.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html#getChildren-T-">getChildren</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node)</code>
<div class="block">Returns an unmodifiable list with all children of the specified node.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html#getChildren-T-java.lang.String-">getChildren</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node,
           <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns an unmodifiable list of all children of the specified node with
 the given name.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html#getChildrenCount-T-java.lang.String-">getChildrenCount</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node,
                <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns the number of children of the specified node with the given name.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>&lt;C&gt;&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html#getMatchingChildren-T-org.apache.commons.configuration2.tree.NodeMatcher-C-">getMatchingChildren</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node,
                   <a href="../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree">NodeMatcher</a>&lt;C&gt;&nbsp;matcher,
                   C&nbsp;criterion)</code>
<div class="block">Returns an unmodifiable list of all children of the specified node which
 are matched by the passed in <code>NodeMatcher</code> against the provided
 criterion.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>&lt;C&gt;&nbsp;int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html#getMatchingChildrenCount-T-org.apache.commons.configuration2.tree.NodeMatcher-C-">getMatchingChildrenCount</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node,
                        <a href="../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree">NodeMatcher</a>&lt;C&gt;&nbsp;matcher,
                        C&nbsp;criterion)</code>
<div class="block">Returns the number of children of the specified node which are matched by
 the given <code>NodeMatcher</code>.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html#getParent-T-">getParent</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node)</code>
<div class="block">Returns the parent of the specified node.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html#getRootNode--">getRootNode</a></span>()</code>
<div class="block">Returns the root node of the underlying hierarchy.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html#getValue-T-">getValue</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node)</code>
<div class="block">Returns the value of the specified node.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html#hasAttributes-T-">hasAttributes</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node)</code>
<div class="block">Returns a flag whether the passed in node has any attributes.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html#indexOfChild-T-T-">indexOfChild</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;parent,
            <a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;child)</code>
<div class="block">Returns the index of the given child node in the list of children of its
 parent.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html#isDefined-T-">isDefined</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node)</code>
<div class="block">Checks whether the specified node is defined.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html#nodeName-T-">nodeName</a></span>(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node)</code>
<div class="block">Returns the name of the specified node</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="nodeName-java.lang.Object-">
<!--   -->
</a><a name="nodeName-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nodeName</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;nodeName(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node)</pre>
<div class="block">Returns the name of the specified node</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - the node</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of this node</dd>
</dl>
</li>
</ul>
<a name="getValue-java.lang.Object-">
<!--   -->
</a><a name="getValue-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValue</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;getValue(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node)</pre>
<div class="block">Returns the value of the specified node.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - the node</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of this node</dd>
</dl>
</li>
</ul>
<a name="getParent-java.lang.Object-">
<!--   -->
</a><a name="getParent-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParent</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;getParent(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node)</pre>
<div class="block">Returns the parent of the specified node.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - the node</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the parent node</dd>
</dl>
</li>
</ul>
<a name="getChildren-java.lang.Object-">
<!--   -->
</a><a name="getChildren-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChildren</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&gt;&nbsp;getChildren(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node)</pre>
<div class="block">Returns an unmodifiable list with all children of the specified node.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - the node</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list with the child nodes of this node</dd>
</dl>
</li>
</ul>
<a name="getChildren-java.lang.Object-java.lang.String-">
<!--   -->
</a><a name="getChildren-T-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChildren</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&gt;&nbsp;getChildren(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node,
                    <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Returns an unmodifiable list of all children of the specified node with
 the given name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - the node</dd>
<dd><code>name</code> - the name of the desired child nodes</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list with all children with the given name</dd>
</dl>
</li>
</ul>
<a name="getMatchingChildren-java.lang.Object-org.apache.commons.configuration2.tree.NodeMatcher-java.lang.Object-">
<!--   -->
</a><a name="getMatchingChildren-T-org.apache.commons.configuration2.tree.NodeMatcher-C-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMatchingChildren</h4>
<pre>&lt;C&gt;&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&gt;&nbsp;getMatchingChildren(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node,
                                <a href="../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree">NodeMatcher</a>&lt;C&gt;&nbsp;matcher,
                                C&nbsp;criterion)</pre>
<div class="block">Returns an unmodifiable list of all children of the specified node which
 are matched by the passed in <code>NodeMatcher</code> against the provided
 criterion. This method allows for advanced queries on a node's children.</div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>C</code> - the type of the criterion</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - the node</dd>
<dd><code>matcher</code> - the <code>NodeMatcher</code> defining filter criteria</dd>
<dd><code>criterion</code> - the criterion to be matched against; this object is
        passed to the <code>NodeMatcher</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list with all children matched by the matcher</dd>
</dl>
</li>
</ul>
<a name="getChild-java.lang.Object-int-">
<!--   -->
</a><a name="getChild-T-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChild</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;getChild(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node,
           int&nbsp;index)</pre>
<div class="block">Returns the child with the given index of the specified node.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - the node</dd>
<dd><code>index</code> - the index (0-based)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the child with the given index</dd>
</dl>
</li>
</ul>
<a name="indexOfChild-java.lang.Object-java.lang.Object-">
<!--   -->
</a><a name="indexOfChild-T-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>indexOfChild</h4>
<pre>int&nbsp;indexOfChild(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;parent,
                 <a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;child)</pre>
<div class="block">Returns the index of the given child node in the list of children of its
 parent. This method is the opposite operation of
 <a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html#getChild-T-int-"><code>getChild(Object, int)</code></a>. This method returns 0 if the given node
 is the first child node with this name, 1 for the second child node and
 so on. If the node has no parent node or if it is an attribute, -1 is
 returned.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - the parent node</dd>
<dd><code>child</code> - a child node whose index is to be retrieved</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the index of this child node</dd>
</dl>
</li>
</ul>
<a name="getChildrenCount-java.lang.Object-java.lang.String-">
<!--   -->
</a><a name="getChildrenCount-T-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChildrenCount</h4>
<pre>int&nbsp;getChildrenCount(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node,
                     <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Returns the number of children of the specified node with the given name.
 This method exists for performance reasons: for some node implementations
 it may be by far more efficient to count the children than to query a
 list of all children and determine its size. A concrete implementation
 can choose the most efficient way to determine the number of children. If
 a child name is passed in, only the children with this name are taken
 into account. If the name <b>null</b> is passed, the total number of
 children must be returned.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - the node</dd>
<dd><code>name</code> - the name of the children in question (can be <b>null</b> for
        all children)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the number of the selected children</dd>
</dl>
</li>
</ul>
<a name="getMatchingChildrenCount-java.lang.Object-org.apache.commons.configuration2.tree.NodeMatcher-java.lang.Object-">
<!--   -->
</a><a name="getMatchingChildrenCount-T-org.apache.commons.configuration2.tree.NodeMatcher-C-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMatchingChildrenCount</h4>
<pre>&lt;C&gt;&nbsp;int&nbsp;getMatchingChildrenCount(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node,
                                 <a href="../../../../../org/apache/commons/configuration2/tree/NodeMatcher.html" title="interface in org.apache.commons.configuration2.tree">NodeMatcher</a>&lt;C&gt;&nbsp;matcher,
                                 C&nbsp;criterion)</pre>
<div class="block">Returns the number of children of the specified node which are matched by
 the given <code>NodeMatcher</code>. This is a more generic version of
 <a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html#getChildrenCount-T-java.lang.String-"><code>getChildrenCount(Object, String)</code></a>. It allows checking for
 arbitrary filter conditions.</div>
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>C</code> - the type of the criterion</dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - the node</dd>
<dd><code>matcher</code> - the <code>NodeMatcher</code></dd>
<dd><code>criterion</code> - the criterion to be passed to the <code>NodeMatcher</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the number of matched children</dd>
</dl>
</li>
</ul>
<a name="getAttributes-java.lang.Object-">
<!--   -->
</a><a name="getAttributes-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAttributes</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getAttributes(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node)</pre>
<div class="block">Returns an unmodifiable set with the names of all attributes of the
 specified node.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - the node</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a set with the names of all attributes of this node</dd>
</dl>
</li>
</ul>
<a name="hasAttributes-java.lang.Object-">
<!--   -->
</a><a name="hasAttributes-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasAttributes</h4>
<pre>boolean&nbsp;hasAttributes(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node)</pre>
<div class="block">Returns a flag whether the passed in node has any attributes.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - the node</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a flag whether this node has any attributes</dd>
</dl>
</li>
</ul>
<a name="getAttributeValue-java.lang.Object-java.lang.String-">
<!--   -->
</a><a name="getAttributeValue-T-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAttributeValue</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;getAttributeValue(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node,
                         <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Returns the value of the specified attribute from the given node. If a
 concrete <code>NodeHandler</code> supports attributes with multiple values,
 result might be a collection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - the node</dd>
<dd><code>name</code> - the name of the attribute</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of this attribute</dd>
</dl>
</li>
</ul>
<a name="isDefined-java.lang.Object-">
<!--   -->
</a><a name="isDefined-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDefined</h4>
<pre>boolean&nbsp;isDefined(<a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;node)</pre>
<div class="block">Checks whether the specified node is defined. Nodes are
 &quot;defined&quot; if they contain any data, e.g. a value, or
 attributes, or defined children.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - the node to test</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a flag whether the passed in node is defined</dd>
</dl>
</li>
</ul>
<a name="getRootNode--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getRootNode</h4>
<pre><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandler.html" title="type parameter in NodeHandler">T</a>&nbsp;getRootNode()</pre>
<div class="block">Returns the root node of the underlying hierarchy.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the current root node</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/NodeHandler.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/tree/NodeCombiner.html" title="class in org.apache.commons.configuration2.tree"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/tree/NodeHandlerDecorator.html" title="class in org.apache.commons.configuration2.tree"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/tree/NodeHandler.html" target="_top">Frames</a></li>
<li><a href="NodeHandler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
